Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 917)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 918)
@@ -251,22 +251,22 @@
 	}
 	
 	
-//	/**
-//	 * Gets an installed charts engine according to its class type.
-//	 * @param type
-//	 * @return the installed charts engine according to its class type if it exists otherwise null
-//	 */
-//	@Deprecated
-//	public static ChartsEngine getChartsEngine(Class type)	{
-//		ChartsEngine chartsEngine = null;
-//		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
-//			if(ChartsEngine.chartsEngines.get(i).getClass().equals(type))	{
-//				chartsEngine = ChartsEngine.chartsEngines.get(i);
-//				break;
-//			}
-//		}
-//		return chartsEngine;
-//	}
+	/**
+	 * Gets an installed charts engine according to its class type.
+	 * @param type
+	 * @return the installed charts engine according to its class type if it exists otherwise null
+	 */
+	@Deprecated
+	public static ChartsEngine getChartsEngine(Class type)	{
+		ChartsEngine chartsEngine = null;
+		for(int i = 0; i < ChartsEngine.chartsEngines.size(); i++) {
+			if(ChartsEngine.chartsEngines.get(i).getClass().equals(type))	{
+				chartsEngine = ChartsEngine.chartsEngines.get(i);
+				break;
+			}
+		}
+		return chartsEngine;
+	}
 	
 	/**
 	 * Gets an installed charts engine that supports the specified output format.
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 917)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 918)
@@ -1139,7 +1139,6 @@
 	public static void deleteAllResultsNodes()	{
 		ArrayList<String> resultsNodesQualifier = getAllResultsNodesQualifiers();
 		for (int i = 0; i < resultsNodesQualifier.size(); i++) {
-			TXMResult.getResult(resultsNodesQualifier.get(i)).isPersistable();
 			delete(scope.getNode(resultsNodesQualifier.get(i)));
 		}
 	}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 917)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 918)
@@ -1408,7 +1408,7 @@
 	 * @throws RException the r exception
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 */
-	public REXP safeEval(String expr) throws RserveException, RException,
+	public synchronized REXP safeEval(String expr) throws RserveException, RException,
 	REXPMismatchException {
 		if (logging && inputLogger != null ) inputLogger.printMessage(expr); //$NON-NLS-1$
 		lastSafeevalExpr = expr;
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 917)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 918)
@@ -243,7 +243,7 @@
 			public void run() {
 				chartComponent.getChartEditor().getComposite().setCurrentContextMenu(a);
 				if(!t.isEmpty() && chartComponent.getChartEditor().getComposite().getMenu() != null
-						//&& chartComponent.getChartEditor().getComposite().getMenu().getItemCount() > 0
+						&& chartComponent.getChartEditor().getComposite().getMenu().getItemCount() > 0
 						)	{
 
 					// FIXME: Debug
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java	(revision 917)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/handlers/OpenJFCChartPropertiesEditor.java	(revision 918)
@@ -11,34 +11,40 @@
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.utils.OSDetector;
+import org.txm.utils.logger.Log;
 
 /**
- * Resets the chart view of the active chart editor part.
+ * Opens the built-in JFC chart properties components.
  * 
  * @author sjacquot
  *
  */
 public class OpenJFCChartPropertiesEditor extends AbstractHandler {
 
-//	static {
-//		System.out.println("OpenJFCChartPropertiesEditor.enclosing_method() setting System L&F.	");
-//		try {
-//			// Set System L&F
-//			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
-//		}
-//		catch(UnsupportedLookAndFeelException e) {
-//			// handle exception
-//		}
-//		catch(ClassNotFoundException e) {
-//			// handle exception
-//		}
-//		catch(InstantiationException e) {
-//			// handle exception
-//		}
-//		catch(IllegalAccessException e) {
-//			// handle exception
-//		}
-//	}
+	
+	// FIXME: warning, commented because it crashes TXM on Linux
+	static {
+		if(!OSDetector.isFamilyUnix())	{
+			Log.finest("OpenJFCChartPropertiesEditor.enclosing_method() setting System L&F.	");
+			try {
+				// Set System L&F
+				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
+			}
+			catch(UnsupportedLookAndFeelException e) {
+				// handle exception
+			}
+			catch(ClassNotFoundException e) {
+				// handle exception
+			}
+			catch(InstantiationException e) {
+				// handle exception
+			}
+			catch(IllegalAccessException e) {
+				// handle exception
+			}
+		}
+	}
 
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
@@ -62,7 +68,7 @@
 			});
 		}
 		else	{
-			System.err.println("OpenJFCChartPropertiesEditor.execute(): Can not open chart properties interface for the current chart engine."); //$NON-NLS-1$
+			Log.severe("OpenJFCChartPropertiesEditor.execute(): Can not open chart properties interface for the current chart engine."); //$NON-NLS-1$
 		}
 
 		return null;
